<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/SimButton/XHXSimButton.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_sim_button_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXSimButton.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_sim_button_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  XHXSimButton.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  XHXKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Topredator on 2018/8/20.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="_x_h_x_sim_button_8h.html#a4ce1e237085c06aa01aeffd84be6c77f">   10</a></span>&#160;<span class="keyword">typedef</span> <a class="code" href="_x_h_x_sim_button_8h.html#a4ce1e237085c06aa01aeffd84be6c77f">NS_ENUM</a>(NSInteger, XHXSimButtonIconPosition) {</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    XHXSimButtonIconPositionDefault, <span class="comment">// 系统默认样式</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    XHXSimButtonIconPositionLeft, <span class="comment">// icon在文本左边</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    XHXSimButtonIconPositionRight, <span class="comment">// icon在文本右边</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    XHXSimButtonIconPositionTop, <span class="comment">// icon在文本上边</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    XHXSimButtonIconPositionBottom, <span class="comment">// icon在文本下边</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    XHXSimButtonIconPositionCenter <span class="comment">// icon在文本上面，都居中对齐</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;};</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="interface_x_h_x_sim_button.html">   19</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_sim_button.html">XHXSimButton</a> : UIButton</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="interface_x_h_x_sim_button.html#a5a6960e4b7a2c3cfc5c29e866fad7fb2">   21</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_sim_button.html#a5a6960e4b7a2c3cfc5c29e866fad7fb2">iconTextMargin</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="interface_x_h_x_sim_button.html#ae48d8894adb5452f473c20e8cdc74fe1">   23</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) XHXSimButtonIconPosition <a class="code" href="interface_x_h_x_sim_button.html#ae48d8894adb5452f473c20e8cdc74fe1">iconPosition</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_sim_button_html_a5a6960e4b7a2c3cfc5c29e866fad7fb2"><div class="ttname"><a href="interface_x_h_x_sim_button.html#a5a6960e4b7a2c3cfc5c29e866fad7fb2">XHXSimButton::iconTextMargin</a></div><div class="ttdeci">CGFloat iconTextMargin</div><div class="ttdoc">图片 文本间距</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_sim_button_8h_source.html#l00021">XHXSimButton.h:21</a></div></div>
<div class="ttc" id="ainterface_x_h_x_sim_button_html"><div class="ttname"><a href="interface_x_h_x_sim_button.html">XHXSimButton</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_sim_button_8h_source.html#l00019">XHXSimButton.h:20</a></div></div>
<div class="ttc" id="a_x_h_x_sim_button_8h_html_a4ce1e237085c06aa01aeffd84be6c77f"><div class="ttname"><a href="_x_h_x_sim_button_8h.html#a4ce1e237085c06aa01aeffd84be6c77f">NS_ENUM</a></div><div class="ttdeci">typedef NS_ENUM(NSInteger, XHXSimButtonIconPosition)</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_sim_button_8h_source.html#l00010">XHXSimButton.h:10</a></div></div>
<div class="ttc" id="ainterface_x_h_x_sim_button_html_ae48d8894adb5452f473c20e8cdc74fe1"><div class="ttname"><a href="interface_x_h_x_sim_button.html#ae48d8894adb5452f473c20e8cdc74fe1">XHXSimButton::iconPosition</a></div><div class="ttdeci">XHXSimButtonIconPosition iconPosition</div><div class="ttdoc">图片与文本的 相对类型</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_sim_button_8h_source.html#l00023">XHXSimButton.h:23</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_a7ca0ea6e5bcbc00feba6d5d3dfa2bb6.html">SimButton</a></li><li class="navelem"><a class="el" href="_x_h_x_sim_button_8h.html">XHXSimButton.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
